// waterfall particles
// feel free to use in your own maps

datablock ParticleData(SFWaterFallParticle)
{
   //textureName = "./waterfall";
   textureName = "base/data/particles/cloud";
   dragCoeffiecient = 0.0;
   gravityCoefficient = 1;
   inheritedVelFactor = 0.00;
   lifetimeMS = 4250;
   lifetimeVarianceMS = 500;
   useInvAlpha = false;
   spinRandomMin = -10.0;
   spinRandomMax = 10.0;

   colors[0] = "0.1 0.2 0.3 0.4";
   colors[1] = "0.3 0.4 0.5 0.6";
   colors[2] = "0.5 0.6 0.7 0.8";

   sizes[0] = 2;//15 / 1.25;
   sizes[1] = 3;//28.5 / 1.25;
   sizes[2] = 3;//42 /1.25;

   times[0] = 0.4;
   times[1] = 2;
};

datablock ParticleEmitterData(SFWaterFallEmitter)
{
   ejectionPeriodMS = 6;
   periodVarianceMS = 5;

   ejectionVelocity = 1;
   velocityVariance = 0.50;

   thetaMin = 0;
   
   overrideAdvance = false;

   particles = SFWaterFallParticle;
};

datablock ParticleData(SFMistParticle)
{
   dragCoefficient = 0;
   gravityCoefficient = -0.4;
   windCoefficient = 0;
   inheritedVelFactor = 0;
   constantAcceleration = 0;
   lifetimeMS = 1000;
   lifetimeVarianceMS = 250;
   useInvAlpha = 0;
   spinRandomMin = 0;
   spinRandomMax = 0;
   textureName = "base/data/particles/cloud";
   spinSpeed = 10;

   times[0] = 0;
   times[1] = 0.7;
   times[2] = 1;

   //colors[0] = "0.1 0.2 0.3 0.5";
   //colors[1] = "0.3 0.4 0.5 0.25";
   //colors[2] = "0.5 0.6 0.7 0.";

   colors[0] = "0.1 0.2 0.3 0.0";
   colors[1] = "0.3 0.4 0.5 0.2";
   colors[2] = "0.5 0.6 0.7 0.4";

   sizes[0] = 4;//10.451;
   sizes[1] = 5;//12.451;
   sizes[2] = 5;//14.451;
};

datablock ParticleEmitterData(SFMistEmitter)
{
   ejectionPeriodMS = 20;
   periodVarianceMS = 2;
   ejectionVelocity = 2;
   velocityVariance = 1;
   ejectionOffset = 4;

   thetaMin = 90;
   thetaMax = 90;

   phiReferenceVel = 360;
   phiVariance = 360;

   orientParticles= 0;
   orientOnVelocity = 1;  
   particles = SFMistParticle;
};

datablock ParticleData(SFEdgeParticle)
{
   dragCoefficient = 2;
   gravityCoefficient = 1.8;
   windCoefficient = 0;
   inheritedVelFactor = 0;
   constantAcceleration = 0;
   lifetimeMS = 800;
   lifetimeVarianceMS = 100;
   useInvAlpha = 0;
   spinRandomMin = -30;
   spinRandomMax = 30;
   textureName = "base/data/particles/cloud";
   spinSpeed = 0;

   times[0] = 0;
   times[1] = 0.576471;
   times[2] = 1;

   //colors[0] = "0.1 0.2 0.3 0.2";
   //colors[1] = "0.3 0.4 0.5 0.3";
   //colors[2] = "0.5 0.6 0.7 0.4";

   colors[0] = "0.1 0.2 0.3 0.2";
   colors[1] = "0.3 0.4 0.5 0.4";
   colors[2] = "0.5 0.6 0.7 0.6";

   sizes[0] = 4;//18;
   sizes[1] = 5;//24;
   sizes[2] = 6;//32;
};

datablock ParticleEmitterData(SFEdgeEmitter)
{
   ejectionPeriodMS = 60;
   periodVarianceMS = 3;
   ejectionVelocity = 4;
   velocityVariance = 1.5;
   ejectionOffset = 2;

   thetaMin = 90;
   thetaMax = 90;

   phiReferenceVel = 360;
   phiVariance = 360;

   orientParticles= 0;
   orientOnVelocity = 0;

   particles = SFEdgeParticle;
};

// sounds
// these used to be oggs but they wouldn't work in a zip

datablock AudioProfile(SFFrogSound)
{
   filename    = "./sound/swamp_frogs_loop.wav";
   description = AudioDefaultLooping3d;
   preload =true;
};

datablock AudioProfile(SFDamLoopSound)
{
   filename    = "./sound/dam_water_loop.wav";
   description = AudioDefaultLooping3d;
   preload =true;
};

datablock AudioProfile(SFShoreSound)
{
   filename    = "./sound/shore.wav";
   description = AudioDefaultLooping3d;
   preload =true;
};